xml_url {xml2} | R Documentation

## The URL of an XML document

### Description

This is useful for interpreting relative urls with `url_relative`.

### Usage

    xml_url(x)

### Arguments

`x` | A node or document.

### Value

A character vector of length 1. Returns `NA` if the name is not set.

### Examples

    catalog <- read_xml("http://www.xmlfiles.com/examples/cd_catalog.xml")
    xml_url(catalog)

    x <- read_xml("<foo/>")
    xml_url(x)

[Package xml2 version 1.0.0 Index]